### Function

# Gtk show_uri_full

deprecated: 4.10

#### Declaration [src]

    void
    gtk_show_uri_full (
      GtkWindow* parent,
      const char* uri,
      guint32 timestamp,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function launches the default application for showing a given uri.

The `callback` will be called when the launch is completed.

This is the recommended call to be used as it passes information necessary for sandbox helpers to parent their dialogs properly.

Deprecated since: 4.10

Use `gtk_file_launcher_launch()` or `gtk_uri_launcher_launch()` instead.

#### Parameters

`parent`

  Type: `GtkWindow`

  Parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  The uri to show.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timestamp`

  Type: `guint32`

  Timestamp from the event that triggered this call, or `GDK_CURRENT_TIME`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the launch.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the action is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.